Yandex Cloud
Поиск
Связаться с экспертомПопробовать бесплатно
  • Кейсы
  • Документация
  • Блог
  • Все сервисы
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Router
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Managed Service for YDB
    • SpeechKit
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • Container Registry
    • Managed Service for Prometheus®
    • Message Queue
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Cloud Apps
    • Yandex AI Studio
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Yandex Cloud Video
    • Stackland
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • DataSphere
    • Vision OCR
    • Translate
    • SmartCaptcha
    • Yandex SIEM
    • SourceCraft Code Assistant
    • Managed Service for GitLab
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • IoT Core
    • Serverless Containers
    • Cloud Notification Service
  • Статус работы сервисов
  • Marketplace
    • Доступны в регионе
    • Инфраструктура и сеть
    • Платформа данных
    • Искусственный интеллект
    • Безопасность
    • Инструменты DevOps
    • Бессерверные вычисления
    • Управление ресурсами
  • Все решения
    • По отраслям
    • По типу задач
    • Экономика платформы
    • Безопасность
    • Техническая поддержка
    • Каталог партнёров
    • Обучение и сертификация
    • Облако для стартапов
    • Облако для крупного бизнеса
    • Центр технологий для общества
    • Партнёрская программа
    • Облако для фрилансеров
    • Обучение и сертификация
    • Блог
    • Документация
    • Мероприятия и вебинары
    • Контакты, чаты и сообщества
    • Идеи
    • Калькулятор цен
    • Тарифы
  • Кейсы
  • Документация
  • Блог
Проект Яндекса
© 2026 ТОО «Облачные Сервисы Казахстан»
Yandex DataLens
RU
  • Галерея в DataLens
    • Как пользоваться Public API
    • Версионирование
    • История изменений
      • Overview
        • Overview
        • 🚧 [Experimental] List data transfers
        • 🚧 [Experimental] Get data transfer
        • 🚧 [Experimental] Create data transfer
        • 🚧 [Experimental] Update data transfer
        • 🚧 [Experimental] Delete data transfer
        • 🚧 [Experimental] Activate data transfer
        • 🚧 [Experimental] Deactivate data transfer
        • 🚧 [Experimental] Get data transfer logs
  • Аудитные логи Audit Trails

В этой статье:

  • Request
  • Headers
  • Body
  • Responses
  • 200 OK
  • Body
  • DataTransferIncrementalTable
  1. DataLens Public API
  2. DataLens API (англ.)
  3. DataTransfers
  4. 🚧 [Experimental] Get data transfer
Статья создана
Yandex Cloud
Открыть в Markdown
  • Request
    • Headers
    • Body
  • Responses
  • 200 OK
    • Body
    • DataTransferIncrementalTable

🚧 [Experimental] Get data transfer

Returns the specified transfer, including its status and configuration.

RequestRequest

POST

https://api.datalens.tech/rpc/getDataTransfer

HeadersHeaders

Name

Description

x-dl-api-version

Type: string

API version header.

Const: 3

Example: 3

BodyBody

application/json
{
  "id": "example"
}

Name

Description

id

Type: string

ID of the transfer to return.

Min length: 1

Example: example

ResponsesResponses

200 OK200 OK

Response

BodyBody

application/json
{
  "id": "example",
  "collectionId": "example",
  "cloudEnvironmentId": "example",
  "name": "example",
  "description": "example",
  "createdAt": {
    "seconds": "example",
    "nanos": 0.5
  },
  "createdById": "example",
  "updatedAt": {
    "seconds": "example",
    "nanos": 0.5
  },
  "updatedById": "example",
  "status": "TRANSFER_STATUS_UNSPECIFIED",
  "labels": {},
  "config": {
    "source": {
      "endpoint": "postgresConnection",
      "postgresConnection": {
        "connectionId": "example",
        "database": "example"
      }
    },
    "destination": {
      "endpoint": "icebergNamespace",
      "icebergNamespace": {
        "namespaceId": "example"
      }
    },
    "type": {
      "type": "regular",
      "regular": {
        "cronExpression": "example",
        "tables": [
          null
        ]
      }
    },
    "tables": [
      "example"
    ]
  }
}

Name

Description

cloudEnvironmentId

Type: string

ID of the associated cloud environment.

Example: example

collectionId

Type: string

ID of the DataLens collection that contains the transfer.

Example: example

config

Type: object

destination

Type: object

endpoint

Type: string

Destination endpoint type.

Const: icebergNamespace

Example: example

icebergNamespace

Type: object

namespaceId

Type: string

ID of the destination Iceberg namespace.

Example: example

Iceberg destination namespace settings.

Example
{
  "namespaceId": "example"
}

Destination settings.

Example
{
  "endpoint": "icebergNamespace",
  "icebergNamespace": {
    "namespaceId": "example"
  }
}

source

One of 3 types
  • Type: object

    endpoint

    Type: string

    Source endpoint type.

    Const: postgresConnection

    Example: example

    postgresConnection

    Type: object

    connectionId

    Type: string

    ID of the source DataLens connection.

    Example: example

    database

    Type: string

    Source database name.

    Example: example

    PostgreSQL source connection settings.

    Example
    {
      "connectionId": "example",
      "database": "example"
    }
    
    Example
    {
      "endpoint": "postgresConnection",
      "postgresConnection": {
        "connectionId": "example",
        "database": "example"
      }
    }
    
  • Type: object

    clickhouseConnection

    Type: object

    connectionId

    Type: string

    ID of the source DataLens connection.

    Example: example

    database

    Type: string

    Source database name.

    Example: example

    ClickHouse source connection settings.

    Example
    {
      "connectionId": "example",
      "database": "example"
    }
    

    endpoint

    Type: string

    Source endpoint type.

    Const: clickhouseConnection

    Example: example

    Example
    {
      "endpoint": "clickhouseConnection",
      "clickhouseConnection": {
        "connectionId": "example",
        "database": "example"
      }
    }
    
  • Type: object

    endpoint

    Type: string

    Source endpoint type.

    Const: mysqlConnection

    Example: example

    mysqlConnection

    Type: object

    connectionId

    Type: string

    ID of the source DataLens connection.

    Example: example

    database

    Type: string

    Source database name.

    Example: example

    MySQL source connection settings.

    Example
    {
      "connectionId": "example",
      "database": "example"
    }
    
    Example
    {
      "endpoint": "mysqlConnection",
      "mysqlConnection": {
        "connectionId": "example",
        "database": "example"
      }
    }
    

Source connection settings.

Example
{
  "endpoint": "postgresConnection",
  "postgresConnection": {
    "connectionId": "example",
    "database": "example"
  }
}

tables

Type: string[]

Source tables to transfer.

Example
[
  "example"
]

type

One of 2 types
  • Type: object

    regular

    Type: object

    cronExpression

    Type: string

    Five-field cron expression in UTC.

    Example: example

    tables

    Type: DataTransferIncrementalTable[]

    Incremental snapshot settings.

    Example
    [
      {
        "tableNamespace": "example",
        "tableName": "example",
        "cursorColumn": "example",
        "initialState": "example"
      }
    ]
    

    Regular transfer settings.

    Example
    {
      "cronExpression": "example",
      "tables": [
        {
          "tableNamespace": "example",
          "tableName": "example",
          "cursorColumn": "example",
          "initialState": "example"
        }
      ]
    }
    

    type

    Type: string

    Transfer mode.

    Const: regular

    Example: example

    Example
    {
      "type": "regular",
      "regular": {
        "cronExpression": "example",
        "tables": [
          {
            "tableNamespace": "example",
            "tableName": "example",
            "cursorColumn": "example",
            "initialState": "example"
          }
        ]
      }
    }
    
  • Type: object

    oneTime

    Type: object

    One-time transfer settings.

    Example
    {}
    

    type

    Type: string

    Transfer mode.

    Const: oneTime

    Example: example

    Example
    {
      "type": "oneTime",
      "oneTime": {}
    }
    

Transfer mode and its settings.

Example
{
  "type": "regular",
  "regular": {
    "cronExpression": "example",
    "tables": [
      {
        "tableNamespace": "example",
        "tableName": "example",
        "cursorColumn": "example",
        "initialState": "example"
      }
    ]
  }
}

Transfer configuration.

Example
{
  "source": {
    "endpoint": "postgresConnection",
    "postgresConnection": {
      "connectionId": "example",
      "database": "example"
    }
  },
  "destination": {
    "endpoint": "icebergNamespace",
    "icebergNamespace": {
      "namespaceId": "example"
    }
  },
  "type": {
    "type": "regular",
    "regular": {
      "cronExpression": "example",
      "tables": [
        {}
      ]
    }
  },
  "tables": [
    "example"
  ]
}

createdAt

Type: object

seconds

Type: string

Number of seconds since the Unix epoch.

Example: example

nanos

Type: number

Fractional seconds in nanoseconds.

Time when the transfer was created.

Example
{
  "seconds": "example",
  "nanos": 0.5
}

createdById

Type: string

ID of the user who created the transfer.

Example: example

description

Type: string

Description of the transfer.

Example: example

id

Type: string

ID of the transfer.

Example: example

labels

Type: object

[additional]

Type: string

Example: example

Transfer labels.

Example
{}

name

Type: string

Name of the transfer.

Example: example

status

Type: string

Current status of the transfer.

Enum: TRANSFER_STATUS_UNSPECIFIED, CREATING, CREATED, RUNNING, STOPPING, STOPPED, ERROR, SNAPSHOTTING, DONE, PAUSED, PREPARING, UNKNOWN

updatedAt

Type: object

seconds

Type: string

Number of seconds since the Unix epoch.

Example: example

nanos

Type: number

Fractional seconds in nanoseconds.

Time when the transfer was last updated.

Example
{
  "seconds": "example",
  "nanos": 0.5
}

updatedById

Type: string

ID of the user who last updated the transfer.

Example: example

DataTransferIncrementalTableDataTransferIncrementalTable

Name

Description

cursorColumn

Type: string

Column used to detect new and changed rows.

Example: example

initialState

Type: string

Initial cursor value for the first transfer run.

Example: example

tableName

Type: string

Name of the source table.

Example: example

tableNamespace

Type: string

Namespace or schema of the source table.

Example: example

Example
{
  "tableNamespace": "example",
  "tableName": "example",
  "cursorColumn": "example",
  "initialState": "example"
}

Была ли статья полезна?

Предыдущая
🚧 [Experimental] List data transfers
Следующая
🚧 [Experimental] Create data transfer
Проект Яндекса
© 2026 ТОО «Облачные Сервисы Казахстан»